=== debian/changelog ===
ros-galactic-usb-cam (0.4.2-1focal) focal; urgency=high

  * Minor bump for release
  * Merge pull request #184 <https://github.com/ros-drivers/usb_cam/issues/184> from clalancette/clalancette/cleanups
  * Switch the rolling docker image to use jammy.
  * Add default cases to switches.
    This just quiets the compiler warnings.
  * Switch xioctl to take an unsigned long request.
    This matches what ioctl actually takes, and gets rid of a sign
    comparison warning.
  * Use uint32_t to store image sizes.
    This matches the v4l2 structures, and ensures we don't get
    sign warnings when compiling.
  * Merge pull request #178 <https://github.com/ros-drivers/usb_cam/issues/178> from benmaidel/feature/unsupported_set_format_options_ros2
    [ros2] allow cameras that do not support setting format options via VIDIOC_S_FMT
  * allow cameras that do not support setting format options via VIDIOC_S_FMT
  * Merge pull request #170 <https://github.com/ros-drivers/usb_cam/issues/170> from kenji-miyake/fix-small-warnings
    Fix small warnings
  * Fix -Wreturn-type
  * Fix -Wparentheses
  * Change static functions to inline to fix -Wunused-function
  * Fix -Wunused-parameter
  * Fix -Worder
  * Fix -Wcomment
  * Fix -Wformat
  * add instructions for multiple launches
  * Contributors: Benjamin Maidel, Chris Lalancette, Evan Flynn, Kenji Miyake

 -- Evan Flynn <evanflynn.msu@gmail.com>  Mon, 25 Apr 2022 07:00:00 -0000

ros-galactic-usb-cam (0.4.1-1focal) focal; urgency=high

  * update README, add compression section
  * update package.xml to include image_transport_plugins
  * clean up README instructions
  * update README ros2 run executable name
  * Contributors: Evan Flynn

 -- Evan Flynn <evanflynn.msu@gmail.com>  Sun, 08 Aug 2021 07:00:00 -0000

ros-galactic-usb-cam (0.4.0-1focal) focal; urgency=high

  * bump version for ros2 first release
  * add galactic to ci, closes #157 <https://github.com/ros-drivers/usb_cam/issues/157>
    update camera name
  * Merge pull request #158 <https://github.com/ros-drivers/usb_cam/issues/158> from wep21/feature/add_camera_info
    Feature/add camera info
  * Add sample camera info yaml
  * Add camera info
  * Merge pull request #156 <https://github.com/ros-drivers/usb_cam/issues/156> from wep21/feature/composable_node
  * Make usb_cam_node composable
  * Merge pull request #153 <https://github.com/ros-drivers/usb_cam/issues/153> from flynneva/lint/make-utils-file
  * add utils file, fix lint errors
  * Merge pull request #151 <https://github.com/ros-drivers/usb_cam/issues/151> from flynneva/fix/remove-boost
  * replace boost lexical_cast with snprintf
  * Merge pull request #149 <https://github.com/ros-drivers/usb_cam/issues/149> from flynneva/fix/update-readme
    fix readme headers
  * fix readme headers
  * Merge pull request #148 <https://github.com/ros-drivers/usb_cam/issues/148> from flynneva/update-ros2-readme-and-lint
    Update ros2 readme and lint
  * fix most lint errors
  * update readme, fix linter errors
  * Merge pull request #146 <https://github.com/ros-drivers/usb_cam/issues/146> from flynneva/ros2-clean-up
    Ros2 clean up
  * fix show_image script lag
  * run, launch and params file working
  * add service, install launch, separate header
  * Merge pull request #139 <https://github.com/ros-drivers/usb_cam/issues/139> from flynneva/cmake-cleanup
    consolidate srcs, use ament_auto macros, closes #138 <https://github.com/ros-drivers/usb_cam/issues/138>
  * consolidate srcs, use ament_auto macros, closes #137 <https://github.com/ros-drivers/usb_cam/issues/137> #138 <https://github.com/ros-drivers/usb_cam/issues/138>
  * Merge pull request #132 <https://github.com/ros-drivers/usb_cam/issues/132> from flynneva/foxy
    updates for foxy
  * add myself to authors
  * fixing lint errors
  * add ros2 github actions
  * minor updates to foxy
  * adding launch file
    try to fix low framerate #103 <https://github.com/ros-drivers/usb_cam/issues/103>
    add ros parameters
    loading more parameters from parameter server #103 <https://github.com/ros-drivers/usb_cam/issues/103>
    use argparse to get arguments from command line
    untested correction to args
    ignore unknown args
    set proper default device and look for more bad return values
    trying to find why framerate is limited to about 8 fps
    framerate ok for low-exposure settings
    print list of valid formats #105 <https://github.com/ros-drivers/usb_cam/issues/105>
  * use the v4l2_buffer timestamp if available. #75 <https://github.com/ros-drivers/usb_cam/issues/75>
    usb_cam.cpp is building but untested #103 <https://github.com/ros-drivers/usb_cam/issues/103>
    Builds but crashes immediately after running
    data is getting published, no image shown
    image shown, frame rate is very slow #103 <https://github.com/ros-drivers/usb_cam/issues/103>
  * move the timestamping closer to when the image was acquired. #75 <https://github.com/ros-drivers/usb_cam/issues/75>
  * Merge pull request #136 <https://github.com/ros-drivers/usb_cam/issues/136> from flynneva/patch-1
    add myself as a maintainer for ros2
  * add myself as a maintainer for ros2
  * Merge pull request #124 <https://github.com/ros-drivers/usb_cam/issues/124> from k-okada/add_noetic
    add noetic .travis.yml
  * add noetic .travis.yml
  * Contributors: Evan Flynn, Kei Okada, Lucas Walter, flynneva, wep21

 -- Evan Flynn <evanflynn.msu@gmail.com>  Wed, 21 Jul 2021 07:00:00 -0000

ros-galactic-usb-cam (0.3.7-1focal) focal; urgency=high

  * ROS2 version

 -- Evan Flynn <evanflynn.msu@gmail.com>  Mon, 29 Oct 2018 07:00:00 -0000

ros-galactic-usb-cam (0.3.6-1focal) focal; urgency=high

  * .travis.yml: udpate to trusty
  * add AV_ prefix to PIX_FMT_* for X,Y (#71 <https://github.com/ros-drivers/usb_cam/issues/71>)
  * Contributors: Kei Okada

 -- Evan Flynn <evanflynn.msu@gmail.com>  Thu, 15 Jun 2017 07:00:00 -0000

ros-galactic-usb-cam (0.3.5-1focal) focal; urgency=high


